ATS Mods | American Truck Simulator Mods | ATS Trucks, Maps

Submit Mod
ATS Mods » Trailers ATS » American Trailers » Oversize trailers U.S.A. v4.0 (v1.4.x)

Oversize trailers U.S.A. v4.0 (v1.4.x)

0
25-08-2016, 08:28
Views: 4 525
Comments: 1
Oversize trailers U.S.A. v4.0 (v1.4.x)
Category - American Trailers
Game Version - v1.4.x
Credits: -

Description about « Oversize trailers U.S.A. v4.0 (v1.4.x) »:


Oversize trailers U.S.A. v4.0 for American Truck Simulator game.

Features:
- Based on Solaris36’s works (with permission).
- Standalone trailers.
- Tested on 1.3.x
- Reworked lights.
- Added 2 new cargos (flatbed wagon:38tn and Tram wagons:68tn)
- Advanced coupling ready.
- Reflective stripes.

Tested on game version 1.4.x


 Oversize trailers U.S.A. v4.0 Oversize trailers U.S.A. v4.0 Oversize trailers U.S.A. v4.0 Oversize trailers U.S.A. v4.0 
  • Screens
Oversize trailers U.S.A. v4.0 (v1.4.x) Oversize trailers U.S.A. v4.0 (v1.4.x) Oversize trailers U.S.A. v4.0 (v1.4.x) Oversize trailers U.S.A. v4.0 (v1.4.x)


How to install mods?

- Download the mod from our server or from external links;

- Extract it with Winrar or Winzip program;

- Copy files with extension .scs file(s) into your My Documents/American Truck Simulator/mod folder;

- Run game ~> Edit profile ~> Enable mod.

Download Links – Policy & Disclaimer

This document refers to links to third-party content/website, from both our website(s) and our official Social Media pages. External links are selected and reviewed when a page/post is published. However, we are not responsible for the content of external websites. If you would like us to remove a link to your website from NHS Choices, please Contact us (Admin) Note that unless you have a legal right to demand removal, such removal will be at our discretion.

Share / Download mod «Oversize trailers U.S.A. v4.0 (v1.4.x)»



Download #1 Download #2

Leave a Comment
Type the two words shown in the image:*
  1. Tony
    Tony
    | № 1 | Guests | 29 September 2016 21:01 |
    + 0-
    Does not work under 1.4, because this is the 1.3